package com.cg.service.student.impl;

import com.cg.dao.StudentItemMapper;
import com.cg.entity.StudentItem;
import com.cg.service.student.StudentItemService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

@Service("studentItemService")
public class StudentItemServiceImpl implements StudentItemService {

    @Resource
    private StudentItemMapper studentItemMapper;

    @Override
    public void create(StudentItem studentItem) {
        studentItemMapper.insert(studentItem);
    }

    @Override
    public void update(StudentItem studentItem) {
        studentItemMapper.updateByPrimaryKeySelective(studentItem);
    }

    @Override
    public void delete(Long id, Boolean fullDelete) {
        if (fullDelete) {
            studentItemMapper.deleteByPrimaryKey(id);
        } else {
            StudentItem studentItem = queryDetail(id);
            studentItem.setStatus(0);
            studentItem.setUpdateTime(new Date());
            update(studentItem);
        }
    }

    @Override
    public StudentItem queryDetail(Long id) {
        return studentItemMapper.selectByPrimaryKey(id);
    }
}
